<?xml version="1.0" encoding="UTF-8"?>
<zabbix_export>
    <version>2.0</version>
    <date>2015-04-22T09:54:13Z</date>
    <groups>
        <group>
            <name>Templates</name>
        </group>
        <group>
            <name>Templates DATAGROUP</name>
        </group>
    </groups>
    <templates>
        <template>
            <template>znil Template Dateien und Ordner BEISPIELE V2015-04-22</template>
            <name>znil Template Dateien und Ordner BEISPIELE V2015-04-22</name>
            <description/>
            <groups>
                <group>
                    <name>Templates</name>
                </group>
                <group>
                    <name>Templates DATAGROUP</name>
                </group>
            </groups>
            <applications>
                <application>
                    <name>Dateien und Ordner Pruefungen</name>
                </application>
            </applications>
            <items>
                <item>
                    <name>Datei - Attribute im Format RASHNDOCTIPL (siehe Beschreibung)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[GetAttrib,C:/pagefile.sys]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>1</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Attribute einer Datei oder eines Verzeichnisses zurück&#13;
Rückgabewert ist Character&#13;
&#13;
Rückgabewert ist eine Kombination von &quot;RASHNDOCTIPL&quot;:&#13;
  &quot;R&quot; = Read-Only&#13;
  &quot;A&quot; = Archive&#13;
  &quot;S&quot; = System&#13;
  &quot;H&quot; = Hidden&#13;
  &quot;N&quot; = Normal&#13;
  &quot;D&quot; = Directory&#13;
  &quot;O&quot; = Offline&#13;
  &quot;C&quot; = Compressed (NTFS compression, not ZIP compression)&#13;
  &quot;T&quot; = Temporay&#13;
  &quot;I&quot; = Not content-indexed&#13;
  &quot;P&quot; = Sparse File&#13;
  &quot;L&quot; = Symbolic Link / Junction&#13;
&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - existiert eine bestimmte Datei? 1 = Ja, 0 = Nein</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.exists[C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>prüft ob eine bestimmte Datei vorhanden ist.&#13;
1 = Ja&#13;
0 = Nein</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Größe in Bytes</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.size[C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>b</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Größe einer Datei in Bytes zurück.</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Inhalt auslesen (max. 64KByte)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.contents[C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>4</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Liest den Dateiinhalt ein bis maximal 64KByte.&#13;
Enthält die Datei nichts oder nur Zeilenende-Zecihen wird ein leerer String zurück gegeben.&#13;
&#13;
Wert wird als Text zurück gegeben</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Prüfsumme bilden (andere Methode, Zahl)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.cksum[C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Erstellt eine Prüfsumme einer Datei. Ändert sich diese Prüfsumme so hat sich auch die Datei verändert.&#13;
&#13;
Es kommt eine Zahl zurück. Die Größe der Zahl sagt aber nichts über die Veränderung aus.</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Prüfsumme bilden MD5</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.md5sum[C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>1</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Erstellt einen MD5 Hashwert einer Datei. Ändert sich dieser Hashwert so hat sich auch die Datei verändert.&#13;
&#13;
Es kommt eine Buchstaben und Zahlkombination zurück.</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Text in Datei finden (Rückgabe: 1 = gefunden oder 0 = nicht gefunden)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.regmatch[C:/Program Files/Zabbix/zabbix_agentd.win.conf,&quot;DebugLevel&quot;]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Findet Text in einer Datei. In diesem Beispiel wird nach dem Wort &quot;DebugLevel&quot; gesucht.&#13;
&#13;
Suchwert ist ein Regulärer Ausdruck&#13;
&#13;
Rückgabewert ist 1 für gefunden oder 0 für nicht gefunden</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Text in Datei finden und Zeile zurückgeben</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.regexp[C:/Program Files/Zabbix/zabbix_agentd.win.conf,&quot;DebugLevel&quot;]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>4</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Findet Text in einer Datei. In diesem Beispiel wird nach der Zeile mit dem Wort &quot;DebugLevel&quot; gesucht.&#13;
&#13;
Suchwert ist ein Regulärer Ausdruck&#13;
&#13;
Rückgabewert ist die gesamte Zeile als Text</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Versionsnummer abfragen (nur bei .exe Dateien)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileGetVersion,C:/Windows/write.exe]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>1</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Versionsnummer einer ausführbaren Datei zurück. &#13;
Enthält die Datei keine Versionsinformationen wird 0.0.0.0 zurück gegeben,&#13;
Ist es keine ausführbare Datei wird -1 zurück gegeben&#13;
&#13;
Rückgabewert ist vom Typ Char (maximal 256 Zeichen)&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Zeitpunkt der Erstellung</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:\Program Files\Zabbix\zabbix_agentd.win.conf,change]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt der Erstellung im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr&#13;
&#13;
Die Aktualisierung des letzten Zugriffs ist ggf. im Betriebsystem deaktiviert</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Zeitpunkt letzter Zugriff</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:\Program Files\Zabbix\zabbix_agentd.win.conf,access]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt des letzten Zugriffs im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr&#13;
&#13;
Die Aktualisierung des letzten Zugriffs ist ggf. im Betriebsystem deaktiviert</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Zeitpunkt letzter Änderung</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:/Program Files/Zabbix/zabbix_agentd.win.conf,modify]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt der letzten Änderung im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Zeit seit Erstellung in Sekunden (Erstellungsdatum)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCreateAge,C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>s</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl der Sekunden seit der Erstellung der Datei oder des Verzeichnisses zurück.&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Datei - Zeit seit letzter Änderung in Sekunden (Änderungsdatum)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileModifyAge,C:/Program Files/Zabbix/zabbix_agentd.win.conf]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>s</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl der Sekunden seit der letzen Änderung der Datei zurück.&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien &lt;= 1MB in einen Verzeichnis</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[#FileCountSize=1048576,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner wieder.&#13;
- ohne Ordner&#13;
- ohne Dateien in Unterordnern&#13;
- die kleiner sind als #FileCountSize=1048576&#13;
Angabe ist in Bytes!&#13;
&#13;
Vergleich ist kleiner/gleich &gt;=&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien &gt;= 1MB in einen Verzeichnis</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCountSize=1048576,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner wieder.&#13;
- ohne Ordner&#13;
- ohne Dateien in Unterordnern&#13;
- die größer sind als FileCountSize=1048576&#13;
Angabe ist in Bytes!&#13;
&#13;
Vergleich ist größer/gleich &gt;=&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien die jünger &lt;= 24h sind in einen Verzeichnis (Erstellungsdatum)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[#FileCountAge=86400,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner wieder.&#13;
- ohne Ordner&#13;
- ohne Dateien in Unterordnern&#13;
- die jünger sind als FileCountAge=86400&#13;
Angabe ist in Sekunden&#13;
&#13;
Vergleich ist kleiner/gleich &gt;=&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien die älter &gt;= 24h sind in einen Verzeichnis (Erstellungsdatum)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCountAge=86400,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner wieder.&#13;
- ohne Ordner&#13;
- ohne Dateien in Unterordnern&#13;
- die älter sind als FileCountAge=86400&#13;
Angabe ist in Sekunden&#13;
&#13;
Vergleich ist größer/gleich &gt;=&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien gemäß Suchmuster V1 (*.dll)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileFindCount,C:/Windows/System32/%.dll]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien auf die das Suchmuster zutrifft zurück. Hiell alle .dll Dateien =&gt; *.dll&#13;
&#13;
Suchmuster wie *.dll oder test*.* etc.&#13;
Aber statt * muss das % zeichen genommen werden!&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien gemäß Suchmuster V2 (*win*.*)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileFindCount,C:/Windows/System32/%win%.%]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien auf die das Suchmuster zutrifft zurück. Hier alle Dateien mit der Buchstabenfolge &quot;win&quot; - *win*.*&#13;
&#13;
Suchmuster wie *.dll oder test*.* etc.&#13;
Aber statt * muss das % zeichen genommen werden!&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien gemäß Suchmuster V3 (m??.dll))</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileFindCount,C:/Windows/System32/m??.dll]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien auf die das Suchmuster zutrifft zurück. Hier alle Dateien mit der Buchstabenfolge &quot;win&quot; - *win*.*&#13;
&#13;
Suchmuster wie *.dll oder test*.* etc.&#13;
Aber statt * muss das % zeichen genommen werden!&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien in einem Verzeichnis (ohne Rekursion)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCount,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner wieder.&#13;
- ohne Ordner&#13;
- ohne Dateien in Unterordnern&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien in einer Verzeichnisstruktur (Rekursion)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCountR2,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien in einem Ordner und allen Unterordnern wieder.&#13;
- Ordner werden nicht mitgezählt&#13;
- Dateien in den Ordnern werden mitgezählt&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Anzahl von Dateien und Ordnern in einer Verzeichnisstruktur (Rekursion)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCountR,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl von Dateien und Ordner in einem Odrner und allen Unterordnern wieder.&#13;
Ordner werden auch mitgezählt!&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Attribute im Format RASHNDOCTIPL (siehe Beschreibung)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[GetAttrib,C:/$RECYCLE.BIN]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>1</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Attribute einer Datei oder eines Verzeichnisses zurück&#13;
Rückgabewert ist Character&#13;
&#13;
Rückgabewert ist eine Kombination von &quot;RASHNDOCTIPL&quot;:&#13;
  &quot;R&quot; = Read-Only&#13;
  &quot;A&quot; = Archive&#13;
  &quot;S&quot; = System&#13;
  &quot;H&quot; = Hidden&#13;
  &quot;N&quot; = Normal&#13;
  &quot;D&quot; = Directory&#13;
  &quot;O&quot; = Offline&#13;
  &quot;C&quot; = Compressed (NTFS compression, not ZIP compression)&#13;
  &quot;T&quot; = Temporay&#13;
  &quot;I&quot; = Not content-indexed&#13;
  &quot;P&quot; = Sparse File&#13;
  &quot;L&quot; = Symbolic Link / Junction&#13;
&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - existiert ein bestimmtes Verzeichnis? 1 = Ja, 0 = Nein</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[DirExists,C:/Windows]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units/>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>prüft ob eine bestimmtes Verzeichnis vorhanden ist.&#13;
1 = Ja&#13;
0 = Nein</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Größe eines Verzeichnisses inklusive Unterordner</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[DirGetSize,C:/Windows/System32]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>B</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Größe eines Ordners in Bytes zurück&#13;
- inklusive aller Unterordner und Dateien&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Zeitpunkt der Erstellung</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:\Windows,change]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt der Erstellung im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr&#13;
&#13;
Die Aktualisierung des letzten Zugriffs ist ggf. im Betriebsystem deaktiviert</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Zeitpunkt letzter Änderung</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:\Windows,modify]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt der letzten Änderung im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Zeitpunkt seit letzter Änderung in Sekunden</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>vfs.file.time[C:/Windows,modify]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>unixtime</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Zeitpunkt der letzten Änderung im UNIX-Timestamp-Format zurück. Also in vergangene Sekunden seit dem 01.01.1970 00:00:00 Uhr</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
                <item>
                    <name>Verzeichnis - Zeit seit Erstellung in Sekunden (Erstellungsdatum)</name>
                    <type>7</type>
                    <snmp_community/>
                    <multiplier>0</multiplier>
                    <snmp_oid/>
                    <key>znil.fileandfolder[FileCreateAge,C:/Windows]</key>
                    <delay>300</delay>
                    <history>30</history>
                    <trends>365</trends>
                    <status>0</status>
                    <value_type>3</value_type>
                    <allowed_hosts/>
                    <units>s</units>
                    <delta>0</delta>
                    <snmpv3_contextname/>
                    <snmpv3_securityname/>
                    <snmpv3_securitylevel>0</snmpv3_securitylevel>
                    <snmpv3_authprotocol>0</snmpv3_authprotocol>
                    <snmpv3_authpassphrase/>
                    <snmpv3_privprotocol>0</snmpv3_privprotocol>
                    <snmpv3_privpassphrase/>
                    <formula>1</formula>
                    <delay_flex/>
                    <params/>
                    <ipmi_sensor/>
                    <data_type>0</data_type>
                    <authtype>0</authtype>
                    <username/>
                    <password/>
                    <publickey/>
                    <privatekey/>
                    <port/>
                    <description>Gibt die Anzahl der Sekunden seit der Erstellung der Datei oder des Verzeichnisses zurück.&#13;
&#13;
Rückgabewert ist eine Zahl!&#13;
&#13;
ACHTUNG: Beim Pfad müssen / statt \ verwendet werden!!!!&#13;
&#13;
Benötigt fileandfolder.exe als UserParameter in der Zabbix-Agenten Konfigurationsdatei</description>
                    <inventory_link>0</inventory_link>
                    <applications>
                        <application>
                            <name>Dateien und Ordner Pruefungen</name>
                        </application>
                    </applications>
                    <valuemap/>
                    <logtimefmt/>
                </item>
            </items>
            <discovery_rules/>
            <macros/>
            <templates/>
            <screens/>
        </template>
    </templates>
</zabbix_export>
